Bug 187034 - spamd doesn't start when network is down
spamd doesn't start when network is down
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Depends On:
  Show dependency treegraph
Reported: 2006-03-28 02:15 EST by David Baron
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-28 09:52:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Baron 2006-03-28 02:15:00 EST
Description of problem:  spamd doesn't start up if the network is down.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. /sbin/service NetworkManager stop, /sbin/ifdown eth0, or whatever turns off
your network connectivity
2. /sbin/service spamassasin start (or restart, if it's already running)
Actual results:
Starting spamd:                                            [FAILED]

Expected results:
Starting spamd:                                            [  OK  ]

Additional info:

This worked fine in Fedora Core 4.

This makes it very painful to use spamd on a laptop that uses NetworkManager and
fetchmail.  After a reboot, all the spam gets through, so I had to switch back
to spamassassin, which is much slower and uses tons of CPU.

I imagine it could also be a problem on servers that reboot if the network is
down transiently (e.g., coming back after a power outage, network equipment not
fully back yet).
Comment 1 Warren Togami 2006-03-28 09:52:55 EST
Hmm, I agree this is a problem, however please file this in upstream
Spamassassin Bugzilla.  When it is fixed upstream we will incorporate it into
Comment 2 David Baron 2006-04-02 14:16:32 EDT
Appears to be fixed in spamassassin-3.1.1-1.fc5 , actually.

Note You need to log in before you can comment on or make changes to this bug.